Page MenuHomePhabricator

rename naos to deploy2001 and reinstall with stretch
Closed, ResolvedPublic

Description

In the parent task we are replacing tin with deploy1001 on stretch

Therefore we should also reinstall the codfw-equivalent, naos.codfw.wmnet, with stretch and rename it to deploy2001 to match it.

Check if naos hardware is new enough to be renamed or whether it should be replaced.

  • rename mgmt interface in DNS
  • add new, separate server IP for deploy2001
  • rename naos to deploy2001 in DHCP/partman/netboot
  • add deploy2001 to network::constants, tcpircbot, etc, in paralell to naos (but not to scap)
  • remove naos from scap hosts and scap masters, run puppet on tin/naos, downtime naos
  • reinstall naos which turns it into deploy2001
  • remove naos from all puppet classes
  • create subtask for physical labels , see T193916#4212246 -> T195421
  • create subtask for switch ports, see T193916#4212246 -> T195422
  • update mysql grants on m5 because we have a new IP now (https://gerrit.wikimedia.org/r/#/c/434803/)
  • scap pull
  • add deploy2001 as scap host and master
  • remove naos from DNS

Event Timeline

Dzahn triaged this task as High priority.May 4 2018, 11:28 PM
Dzahn lowered the priority of this task from High to Normal.
Dzahn created this task.
RobH added a comment.EditedMay 5 2018, 12:01 AM

The 'mira' in racktables is a decommissioned host wmf5818. I also don't see any kind of ganeti instance for it, was mira a typo?

Dzahn added a comment.May 5 2018, 12:23 AM

You are right, thank you. It once was mira but correct is: naos.codfw.wmnet

Dzahn renamed this task from rename mira to deploy2001 and reinstall with stretch to rename naos to deploy2001 and reinstall with stretch.May 5 2018, 12:24 AM
Dzahn updated the task description. (Show Details)
Dzahn added a comment.May 17 2018, 4:45 PM

merged in duplicate task. checked naos in racktables. it's still under warranty until 2019-03

RobH added a subscriber: Papaul.May 17 2018, 4:55 PM

Please ensure when the rename is done, a sub-task for the on-site (@Papaul) is created in ops-codfw for him to update the hostname physical labels & racktables visible label entry.

Don't forget to also update the switch port label in the switch software.

Change 433615 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] install_server: rename naos to deploy2001

https://gerrit.wikimedia.org/r/433615

Change 433616 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] scap: swap naos with deploy2001 as scap master

https://gerrit.wikimedia.org/r/433616

Change 433618 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] add deploy2001.codfw.wmnet

https://gerrit.wikimedia.org/r/433618

Change 433619 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] rename wmf6406's mgmt interface from naos to deploy2001

https://gerrit.wikimedia.org/r/433619

Change 433619 merged by Dzahn:
[operations/dns@master] rename wmf6406's mgmt interface from naos to deploy2001

https://gerrit.wikimedia.org/r/433619

Change 433618 merged by Dzahn:
[operations/dns@master] add deploy2001.codfw.wmnet

https://gerrit.wikimedia.org/r/433618

Change 433615 merged by Dzahn:
[operations/puppet@production] install_server: rename naos to deploy2001

https://gerrit.wikimedia.org/r/433615

Change 433637 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] network::constants/tcpircbot: add deploy2001 to allowed hosts

https://gerrit.wikimedia.org/r/433637

Change 433638 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] add deploy2001 to site.pp with deployment_server role

https://gerrit.wikimedia.org/r/433638

Dzahn updated the task description. (Show Details)May 18 2018, 12:05 AM

Please ensure when the rename is done, a sub-task for the on-site (@Papaul) is created in ops-codfw for him to update the hostname physical labels & racktables visible label entry.
Don't forget to also update the switch port label in the switch software.

Yep, will do. I created some check boxes in the task description to outline the switch. I added these as the last 2.

Change 433637 merged by Dzahn:
[operations/puppet@production] network/tcpircbot/kubernetes: add deploy2001 to allowed hosts

https://gerrit.wikimedia.org/r/433637

Change 433759 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] add IPv6 records for deploy2001

https://gerrit.wikimedia.org/r/433759

Change 433759 merged by Dzahn:
[operations/dns@master] add IPv6 records for deploy2001

https://gerrit.wikimedia.org/r/433759

Change 433638 merged by Dzahn:
[operations/puppet@production] add deploy2001 to site.pp with deployment_server role

https://gerrit.wikimedia.org/r/433638

Dzahn updated the task description. (Show Details)May 23 2018, 5:47 PM

Change 434753 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] remove naos as scap master and scap host

https://gerrit.wikimedia.org/r/434753

Change 434753 merged by Dzahn:
[operations/puppet@production] remove naos as scap master and scap host

https://gerrit.wikimedia.org/r/434753

Mentioned in SAL (#wikimedia-operations) [2018-05-23T19:36:53Z] <mutante> reinstalling naos as deploy2001, booting to PXE (T193916)

Change 434763 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] remove naos from site.pp, tcpircbot. update scap comment

https://gerrit.wikimedia.org/r/434763

Change 434763 merged by Dzahn:
[operations/puppet@production] remove naos from site.pp, tcpircbot. update scap comment

https://gerrit.wikimedia.org/r/434763

Change 434798 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] remove naos from network::constants and kubernetes staging

https://gerrit.wikimedia.org/r/434798

Change 434798 merged by Dzahn:
[operations/puppet@production] remove naos from network::constants and kubernetes staging

https://gerrit.wikimedia.org/r/434798

Change 434802 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] remove naos.codfw.wmnet

https://gerrit.wikimedia.org/r/434802

Change 434803 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] mariadb: update m5 grants after naos became deploy2001

https://gerrit.wikimedia.org/r/434803

Dzahn updated the task description. (Show Details)May 23 2018, 9:17 PM
Dzahn updated the task description. (Show Details)
Dzahn updated the task description. (Show Details)May 23 2018, 10:06 PM
Dzahn updated the task description. (Show Details)
Dzahn raised the priority of this task from Normal to High.May 23 2018, 10:08 PM
Dzahn added a comment.EditedMay 23 2018, 10:41 PM

Done

  • rename/reinstall is done
  • naos has been removed from everything (except DNS)
  • deploy2001 has been added to everything that had naos before (network::constants, tcpircbot, kubernetes-staging etc) but is _not_ a scap host and master
  • deploy2001 is using deployment_server role, keyholder has been armed on deploy2001

Blockers:

Finalize

Change 433616 merged by Dzahn:
[operations/puppet@production] scap: add deploy2001 as scap master and host

https://gerrit.wikimedia.org/r/433616

Dzahn updated the task description. (Show Details)May 24 2018, 2:06 PM

Change 434802 merged by Dzahn:
[operations/dns@master] remove naos.codfw.wmnet

https://gerrit.wikimedia.org/r/434802

Dzahn updated the task description. (Show Details)May 24 2018, 2:11 PM

Change 434803 merged by Dzahn:
[operations/puppet@production] mariadb: update m5 grants after naos became deploy2001

https://gerrit.wikimedia.org/r/434803

Dzahn updated the task description. (Show Details)May 24 2018, 2:57 PM
Dzahn closed this task as Resolved.May 24 2018, 3:01 PM
Vvjjkkii renamed this task from rename naos to deploy2001 and reinstall with stretch to rkdaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Dzahn as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: Aklapper, gerritbot.
CommunityTechBot renamed this task from rkdaaaaaaa to rename naos to deploy2001 and reinstall with stretch.Jul 2 2018, 1:45 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Dzahn.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: Aklapper, gerritbot.